﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.IO;
using System.Reflection;

namespace MainApp
{
    public partial class Form1 : Form
    {
        private List<string> loadedStyleLibraries = new List<string>();
        public Form1()
        {
            Stream isl = Assembly.GetExecutingAssembly().GetManifestResourceStream("MainApp.Office2010Blue.isl");
            if (isl != null)
                Infragistics.Win.AppStyling.StyleManager.Load(isl, true, "MainApp.Office2010Blue.isl");


            InitializeComponent();

            this.ultraFormManager1.StyleLibraryName = "MainApp.Office2010Blue.isl";
            this.ultraGrid1.StyleLibraryName = "MainApp.Office2010Blue.isl";

            var path = Application.ExecutablePath.Substring(0, Application.ExecutablePath.LastIndexOf("154873\\") + "154873\\".Length) + "AssembliesOutPut\\Assembly1.dll";
            Assembly assembly = Assembly.LoadFile(path);
            Type assembly_ChildForm = assembly.GetType("Assembly1.ChildForm");
            Form frm = Activator.CreateInstance(assembly_ChildForm) as Form;
            frm.Text = "Assembly1.ChildForm";
            frm.Show();

        }

    }
}
